%define aud_ver        3.0
#define prever         rc1
#define prever_dot    .%{prever}

Name:           audacious
Version:        3.3.4
Release:        1%{?prever_dot}%{?dist}
Summary:        A GTK3 based media player similar to xmms
Group:          Applications/Multimedia
License:        GPLv3
URL:            http://audacious-media-player.org/
Source0:        http://distfiles.audacious-media-player.org/%{name}-%{version}%{?prever}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  desktop-file-utils >= 0.9
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel >= 3.0
BuildRequires:  libguess-devel
BuildRequires:  libxml2-devel
BuildRequires:  libSM-devel
BuildRequires:  libmcs-devel >= 0.7
BuildRequires:  dbus-devel, dbus-glib-devel
BuildRequires:  doxygen

Requires:       %{name}-plugins >= %{aud_ver}
Requires:       %{name}-libs = %{version}-%{release}

Requires(post):   desktop-file-utils >= 0.9
Requires(postun): desktop-file-utils >= 0.9

# Skin packages can require this from xmms and all GUI compatible players
Provides: xmms-gui

%description
Audacious is a media player, based on GTK3, which runs
on Linux and many other *nix platforms. It is focused
on audio quality, and supports a wide range of audio codecs.
Currently, it uses a skinned user interface based on Winamp
2.x skins, and is a fork of BMP, which itself forked from XMMS.


%package libs
Summary: Library files for Audacious
Group:   System Environment/Libraries

%description libs
Library files for Audacious


%package  devel
Summary:  Development files for Audacious
Group:    Development/Libraries
Requires: %{name}-libs = %{version}-%{release}
Requires: glib2-devel
Requires: gtk3-devel >= 3.0
Requires: libmcs-devel >= 0.7
Requires: libmowgli-devel >= 0.6.0
Requires: pkgconfig

%description devel
Development files for Audacious

%prep
%setup -q -n %{name}-%{version}%{?prever}

perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in

%build
%configure \
    --disable-rpath \
    --disable-dependency-tracking
make
doxygen Doxyfile


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang %{name}

desktop-file-install --vendor "" \
    --dir %{buildroot}%{_datadir}/applications   \
    --delete-original \
    --remove-category Application \
    --add-category AudioVideo  \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi 
update-desktop-database &>/dev/null || :

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}*
%{_bindir}/audtool*
%{_datadir}/%{name}
%{_mandir}/man[^3]/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/48x48/apps/%{name}.*
%{_datadir}/icons/hicolor/scalable/apps/%{name}.*

%files libs
%defattr(-,root,root,-)
%{_libdir}/libaudclient.so.*
%{_libdir}/libaudtag.so.*
%{_libdir}/libaudcore.so.*
%{_libdir}/libaudgui.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/html
%{_includedir}/%{name}
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_libdir}/libaudclient.so
%{_libdir}/libaudcore.so
%{_libdir}/libaudgui.so
%{_libdir}/libaudtag.so
%{_libdir}/pkgconfig/*


%changelog
* Sat Mar 30 2013 Paulo Roma <roma@lcg.ufrj.br> - 3.3.4-1%{?dist}
- Update to 3.3.4

* Thu Sep 27 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.3.2-1%{?dist}
- Update to 3.3.2

* Wed Sep 19 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.3.1-1%{?dist}
- Update to 3.3.1
- Requires gtk3 from now on...

* Sat Jul 21 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.2.4-2%{?dist}
- Update to 3.2.4
- Removed README.

* Sat Jun 23 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.2.3-1%{?dist}
- Update to 3.2.3
- Changed mcs-devel for libmcs-devel.
- Using gtk3. 

* Sun Apr 1 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.2.2-1%{?dist}
- Update to 3.2.2

* Sun Mar 11 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.2.1-1%{?dist}
- Update to 3.2.1

* Tue Jan 24 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.2-1%{?dist}
- Update to 3.2.
- Removed libmowgli dependency.

* Wed Jan 06 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.1.2-1%{?dist}
- Update to 3.1.2.

* Wed Jan 04 2012 Paulo Roma <roma@lcg.ufrj.br> - 3.1.1-1%{?dist}
- Update to 3.1.1.

* Sat Aug 27 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 3.0.2-1%{?dist}
- Update to 3.0.2.

* Mon Aug 22 2011 Paulo Roma <roma@lcg.ufrj.br> - 3.0.1-1%{?dist}
- Updated to 3.0.1
- Removed deprecated patch enable-gnomeshortcuts.patch

* Mon Aug 22 2011 Paulo Roma <roma@lcg.ufrj.br> - 2.5.4-1%{?dist}
- Updated to 2.5.4

* Sat Jun 05 2011 Paulo Roma <roma@lcg.ufrj.br> - 2.5.1-1%{?dist}
- Updated to 2.5.1
- No more audtool2 and audacious2.

* Sat Jun 04 2011 Paulo Roma <roma@lcg.ufrj.br> - 2.4.5-1%{?dist}
- Updated to 2.4.5

* Fri Mar 04 2011 Paulo Roma <roma@lcg.ufrj.br> - 2.4.4-2%{?dist}
- Updated to 2.4.4
- Included doxygen generated doc.

* Sat Jan 16 2011 Paulo Roma <roma@lcg.ufrj.br> - 2.4.3-1%{?dist}
- Updated to 2.4.3
- Added BR libguess-devel.
- Removed BR libsamplerate-devel.

* Mon Dec 13 2010 Paulo Roma <roma@lcg.ufrj.br> - 2.4.2-1%{?dist}
- Updated to 2.4.2
- Applied patch enable-gnomeshortcuts.

* Sat Aug 28 2010 Paulo Roma <roma@lcg.ufrj.br> - 2.4.0-1%{?dist}
- Updated to 2.4
- Removed obsolete libm patch.

* Mon Jun 15 2010 Paulo Roma <roma@lcg.ufrj.br> - 2.3-3%{?dist}
- Changed description.

* Sun Apr 25 2010 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.3-0_4%{?dist}
- Update to 2.3.

* Sun Feb 21 2010 Paulo Roma <roma@lcg.ufrj.br> 2.2-2
- Enabled samplerate.
- Used desktop-file-install for audacious2-gtkui.desktop

* Tue Dec 01 2009 Paulo Roma <roma@lcg.ufrj.br> 2.2-1
- Updated to 2.2
- Renamed audacious-libs to audacious-libs.

* Sun Nov 08 2009 Paulo Roma <roma@lcg.ufrj.br> 2.1-9
- Updated to 2.1
- Added libaudtag libs.
- Adapted rpath patch and removed libSAD-header patch 

* Wed Jun 07 2009 Paulo Roma <roma@lcg.ufrj.br> 2.0.1-8
- Removed unneeded BRs and deprecated configure options.
- Removed all obsoletes and provides.

* Wed Jun 06 2009 Paulo Roma <roma@lcg.ufrj.br> 2.0.1-7
- Created symbolic link audacious.

* Wed Jun 03 2009 Paulo Roma <roma@lcg.ufrj.br> 2.0.1-6
- Update to 2.0.1
- Removed xmms-skins patch.
- Desktop is named audacious2.desktop now.
- Added new libaudcore, libSAD and libaudutil.
- Removed rpath from binary.

* Tue May 27 2008 Paulo Roma <roma@lcg.ufrj.br> 1.5.1-5.fc8
- Update to 1.5.1
- Adapted xmms-skins patch.

* Sun Mar 16 2008 Paulo Roma <roma@lcg.ufrj.br> 1.5.0-4.fc8
- Update to 1.5.0
- Added new include files.
- Removed desktop vendor fedora.

* Sun Mar 16 2008 Paulo Roma <roma@lcg.ufrj.br> 1.4.6-4.fc8
- Changed license.
- Enabled dbus.
- Converted README to utf8.

* Thu Jan 31 2008 Paulo Roma <roma@lcg.ufrj.br> 1.4.6-3.fc8
- Update to 1.4.6

* Thu Jan 10 2008 Paulo Roma <roma@lcg.ufrj.br> 1.4.5-3.fc8
- Update to 1.4.5

* Sun Dec 16 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.4-3.fc8
- Update to 1.4.4
- Add patch to fix streams sometimes being left open
- Obsolete: audacious-docklet

* Wed Nov 19 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.2-2.fc8
- Update to 1.4.2
- Added BR dbus-glib-devel

* Wed Nov 14 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.0-2.fc6
- Update to 1.4.0

* Sat Nov 02 2007 Paulo Roma <roma@lcg.ufrj.br> 1.4.0-1.rc1.fc6
- Update to 1.4.0-rc1
- Added BuidRequires libmowgli-devel

* Mon Apr 16 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-1.fc6
- Update to 1.3.2

* Sun Dec 24 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-2.fc6
- Remove audacious-1.1.1-controlsocket-name.patch due to request
  from upstream, xmms and audacious are not entirely compatible

* Sun Nov 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-1.fc6
- Update to 1.2.2
- Split off libaudacious into a separate package to handle the
  (now externally provided and built) plugins better

* Tue Nov 7 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-4.fc6
- Disable gnome-vfs, it causes too much trouble
- Add --enable-chardet

* Wed Oct 18 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-2.fc6
- Add Obsoletes/Provides for BMP

* Wed Sep 06 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.2-1.fc6
- Update to 1.1.2

* Thu Aug 17 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-6.fc6
- Another go at the %%20 problem

* Mon Aug 14 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-4.fc6
- Fix %%20 in playlist entries

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-3.fc6
- Bump for rebuild

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-2.fc6
- Change the name of the control socket to "xmms" instead of
  audacious. This makes programs that remote control xmms
  (and compatibles) work.

* Sun Jul 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.1-1.fc6
- Update to 1.1.1
- Drop amidi path patch
- Add shaded playlist skin patch (seems like audacious needs it,
  too)

* Fri Jul 21 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-1.fc6
- Update to 1.1.0 final
- Rediff some patches

* Sun Jul 9 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.2.dr2.fc6
- Fix quoting of filenames

* Thu Jun 29 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.1.dr2.fc6
- Fixed version for Extras review
  - Build OSS, arts and jack output plugins
  - Split esd, arts and jack into separate packages
  - Fix rpath issue
  - Fix absolute symlinks

* Sat Jun 24 2006 Ralf Ertzinger <ralf@skytale.net> 1.1.0-0.0.dr2.fc6
- Initial build for Fedora Extras
